Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


unites pouce en mm Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP plugins ] prix intéressants pendant le black friday
par tenrev Hier à 21:07

» [ ARCHICAD-OBJETS GDL ] LIBRARY PART MARKER / PARAM-O- Où trouver des tutos ?
par Coulou Hier à 16:14

» [ ARTLANTIS ] Quoi de neuf
par Yanosh HRDY Hier à 15:11

» [ SKETCHUP tutos ] APPRENDRE SKETCHUP - TUTO 2 - Supprimer et Ajouter des éléments
par jerryvento Hier à 13:20

» [ AUTRES LOGICIELS ] Logiciel COVER 3D 2.3 import to Sketchup 2021
par simjoubert Jeu 24 Nov 2022 - 17:38

» [ ARCHICAD-OBJETS GDL ] PARAM-O - Boite à Eau
par Coulou Jeu 24 Nov 2022 - 10:20

» [ ARCHICAD-IMPORT/EXPORT ] IMPORT FICHIER E57 - ECHEC CREATION FICHIER LCF
par Coulou Jeu 24 Nov 2022 - 9:01

» [ UNREAL ENGINE ] mise à jour vers la version 5.1 au top
par tenrev Jeu 24 Nov 2022 - 8:38

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par tenrev Jeu 24 Nov 2022 - 7:56

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Christophe Fortineau Mer 23 Nov 2022 - 22:15

» [ PRESENTATION ] Bonjour à tous.
par jerryvento Mer 23 Nov 2022 - 18:46

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Lun 21 Nov 2022 - 16:19

» [ WIP_ANIMATIONS ] Animations avec Enscape
par tenrev Lun 21 Nov 2022 - 15:07

» [ SKETCHUP Layout ] Symboles Électriques sur Layout
par tenrev Lun 21 Nov 2022 - 13:15

» [ SKETCHUP Layout ] symboles architecturaux layout
par Suncil Lun 21 Nov 2022 - 9:11

» [ SKETCHUP généralité ] Moteur de rendu VRAY ou ENSCAPE
par JDD Dim 20 Nov 2022 - 21:12

» [ SKETCHUP tutos ] Modelisation SketchUp d'un Building du quartier Ginza à Tokyo et Rendu Enscape
par JDD Dim 20 Nov 2022 - 17:30

» [ SKETCHUP généralité ] modèle SketchUp 3D dans la suite office de Microsoft
par simjoubert Sam 19 Nov 2022 - 8:25

» [ ARCHICAD-OBJETS GDL ] PARAM-O la programmation nodale dans Archicad
par archisky Ven 18 Nov 2022 - 12:03

» [ TWINMOTION ] Version 2022.2.2 et MàJ Datasmith
par Pistou Jeu 17 Nov 2022 - 11:52

» [ PHOTOSHOP ] retouche de photos avec Ai et Photoshop
par tenrev Lun 14 Nov 2022 - 7:30

» [ CHAINE TWITCH ] Partie 2 import dans sketchup de quixel via transmutr
par simjoubert Lun 14 Nov 2022 - 7:04

» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Dim 13 Nov 2022 - 16:22

» [ CHAINE TWITCH ] live du 10 nov 2022 14 h - import d'assets Quixel avec Transmutr
par tenrev Jeu 10 Nov 2022 - 15:50

» [ SKETCHUP généralité ] Vlog SketchUp 3D Basecamp Adebeo
par Nicolas Adebeo Jeu 10 Nov 2022 - 8:47

» [ AUTRES LOGICIELS ] Quixel mixer 2021 vient de sortir
par tenrev Mer 9 Nov 2022 - 12:23

» [ SKETCHUP LIVE COMPONENT ] former une courbe avec plusieurs courbes
par tenrev Mer 9 Nov 2022 - 9:06

» [ SKETCHUP LIVE COMPONENT ] Simon on parle de toi
par youyou40 Lun 7 Nov 2022 - 17:36

» [ CHAINE TWITCH ] replay du live 05 nov 2022
par tenrev Dim 6 Nov 2022 - 23:22

» [ ARCHICAD ] [ IFC ] [ ARCHICAD 26 ] [ AC26 ] [ CLASSIFICATION ] [ EVEBIM ]
par Christophe Fortineau Ven 4 Nov 2022 - 13:14

» [ SKETCHUP vray ] Vantage , rendu temps réel avec live link dans sketchup
par tenrev Ven 4 Nov 2022 - 9:01

» [ SKETCHUP LIVE COMPONENT ] Projection sphérique ou origami d'un rectangle en sphere
par simjoubert Jeu 3 Nov 2022 - 15:34

» [ SKETCHUP LIVE COMPONENT ] Mur Courbe avec Projection cylindrique de matériaux
par tenrev Jeu 3 Nov 2022 - 15:27

» [ CHAINE TWITCH ] live à 13h30 du 31/10/2022
par tenrev Mer 2 Nov 2022 - 16:28

» [ CHAINE TWITCH ] live du samedi 29/10/2022 live components
par tenrev Lun 31 Oct 2022 - 12:55

Sondage

Chaine Twitch

unites pouce en mm Poll_c1019%unites pouce en mm Poll_c10 19% [ 6 ]
unites pouce en mm Poll_c1013%unites pouce en mm Poll_c10 13% [ 4 ]
unites pouce en mm Poll_c103%unites pouce en mm Poll_c10 3% [ 1 ]
unites pouce en mm Poll_c1010%unites pouce en mm Poll_c10 10% [ 3 ]
unites pouce en mm Poll_c106%unites pouce en mm Poll_c10 6% [ 2 ]
unites pouce en mm Poll_c1010%unites pouce en mm Poll_c10 10% [ 3 ]
unites pouce en mm Poll_c1032%unites pouce en mm Poll_c10 32% [ 10 ]
unites pouce en mm Poll_c106%unites pouce en mm Poll_c10 6% [ 2 ]

Total des votes : 31

chaine sketchup.tv

unites pouce en mm

Voir le sujet précédent Voir le sujet suivant Aller en bas

Anonymous
Invité
Invité

MessageInvité Mar 26 Jan 2010 - 20:53

bonsoir
le gentil tutoapi 104 donne des dimensions
en mm sauf que 50 donne 1270mm
comment faire
merci
fabien
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 26 Jan 2010 - 21:02

Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

-------------------------------------------------------------------------------------------------------------------------
_"Ne compte pas les jours, fais en sorte que chaque jour compte"
Bonne journée à vous !!!!!

Jérôme
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 8:42

bonjour
dans les tutos 1 2 3 4 5 6 ect
on peut charger des tuto par ex Api104.rb
dans les plugins et lorsque je l utilise
les dimensions ex 50 sont executees
en pouces et si on mesure (tape)
on obtient 1270mm
il serait plus pratique de demander 100
et d obtenir 100mm
voila le probleme
merci d avance
fabien
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 19000
Points : 32741
Age : 59
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Mer 27 Jan 2010 - 13:27

ga a écrit:Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

Alors notre ami charpentier de 33 ans qui peu marcher sur l'eau, multiplier les pains, tu ne sais pas pourquoi : " 50 donne 1270mm "

à vrai dire je ne comprend rien non plus fou1

Cette question c'est pour Christophe le roi du plugin

bon je vous laisse j'ai du taf cooking vaiselle

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

unites pouce en mm 575088biblio3d
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 13:44

Salut à vous,

Quelques précisions, la seule finalité des ces plugins est un objectif pédagogique et d'appuyer le tuto traité. On peut difficilement traiter tous les sujets en même temps. Ces plugins n'ont pas été développés pour être utilisé en soit.

Le sujet que soulève Fabient est en effet intéressant, mais c'est pas un choix délibéré, même lorsque tu choisis comme unité de modèle le "mm", certaines commandes et calculs natifs de sketchup se font obligatoirement en pouces, c'est un peu dommage, mais comme cela. La conversion doit faire l'objet de lignes de script supplémentaires.

La gestion des unités devra faire l'objet d'un sujet à part entière.

@+

Christophe
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 14:52

en m inspirant de box.rb j ai vu que les valeurs par default
du genre [ 0.mm ,0.mm,0.mm]
donc je fait suivre la valeur .mm
a bientot
fabien
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 20:42

fabient a écrit:en m inspirant de box.rb j ai vu que les valeurs par default
du genre [ 0.mm ,0.mm,0.mm]
donc je fait suivre la valeur .mm
a bientot
fabien

Re Fabien

si tu veux aller plus loin, j'ai modifié le plugin tutoApi104.rb sur des conseils de Jojo2, regardes les lignes de 13 à 26
L'avantage, de ces lignes, c'est de prendre en compte l'unité par défaut de ton modèle.

Code:

# cp
   # Définition d'une méthode
   require 'sketchup.rb'
   def mon_inputbox
      # Création de la boite de dialogue
      prompts = ["Axe x1", "Axe y1", "Axe z1", "Axe x2", "Axe y2", "Axe z2"]
      values = [0, 0, 0, 0, 50, 0]
      results = UI.inputbox prompts, values, "Ma premiere InputBox"
      return if not results   
      x1, y1, z1, x2, y2, z2 = results
      model = Sketchup.active_model
      
      # conversion d'unité
       convertit = []
        convertit[0]= 1.inch
        convertit[1]= 1.feet
        convertit[2]= 1.mm
        convertit[3]= 1.cm
        convertit[4]= 1.m
        uniteCourante = model.options["UnitsOptions"]["LengthUnit"]
        x1 = x1.to_f * convertit[uniteCourante]
        y1 = y1.to_f * convertit[uniteCourante]
        z1 = z1.to_f * convertit[uniteCourante]
        x2 = x2.to_f * convertit[uniteCourante]
        y2 = y2.to_f * convertit[uniteCourante]
        z2 = z2.to_f * convertit[uniteCourante] # fin conversion unité
       
      # Construction de la ligne
      pt1 = [x1,y1,z1]
      pt2 = [x2,y2,z2]
      model.entities.add_line(pt1, pt2)
   end
   
   if( not file_loaded?("TutoApi104.rb") )
   UI.menu("Draw").add_item("Dessiner une ligne"){ mon_inputbox }
   UI.menu("Tools").add_item("Dessiner une ligne"){ mon_inputbox }
   UI.menu("Plugins").add_item("Dessiner une ligne"){ mon_inputbox }
      UI.add_context_menu_handler do |context_menu|
      context_menu.add_separator
      context_menu.add_item("Mon premier menu contextuel") { mon_inputbox }
      end
   file_loaded("TutoApi104.rb")
   end

@+

Christophe
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 20:52

merci
je regarde avec attention
une autre question me vient
comment faire
pt3 =pt1+pt2
avec pt1= [1,2,3]
pt2= [4,5,6]
et obtenir pt3=[5,7,9]
merci d avance
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 21:09

fabient a écrit:merci
je regarde avec attention
une autre question me vient
comment faire
pt3 =pt1+pt2
avec pt1= [1,2,3]
pt2= [4,5,6]
et obtenir pt3=[5,7,9]
merci d avance

Il faut que tu définisses des variables locales du style Arrow
Code:

x1 = 1
y1 = 2
z1 = 3
x2 = 4
y2 = 5
z2 = 6
pt1 = [x1, y1, z1]
pt2 = [x2, y2, z2]
pt3 = [x1 + x2, y1 + y2, z1 + z2]

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 21:11

Tenrev a écrit:
ga a écrit:Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

Alors notre ami charpentier de 33 ans qui peu marcher sur l'eau, multiplier les pains, tu ne sais pas pourquoi : " 50 donne 1270mm "

à vrai dire je ne comprend rien non plus fou1

Cette question c'est pour Christophe le roi du plugin

bon je vous laisse j'ai du taf cooking vaiselle

Tu fais dans la restauration jack pain lol!
Anonymous
Invité
Invité

MessageInvité Dim 31 Jan 2010 - 17:43

bonjour
pour faire pt1+pt2=pt3
pt1=[1,2,3]
pt2=[4,5,6]
pt3=pt1.offset pt2
a tester
fabien
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Dim 31 Jan 2010 - 18:53

Salut Fabien

Je pense que Sketchup considere ton pt2, comme un vecteur et non un point

Méthode offset

Ce code ne marche pas
Code:

point1 = Geom::Point3d.new 10,10,10
point2 = Geom::Point3d.new 0,0,0
point3 = point1.offset! point2

Ce code fonctionne
Code:

point1 = Geom::Point3d.new 10,10,10
vector = Geom::Vector3d.new(0,0,1)
point3 = point1.offset! vector

A verifier scratch

@+

Christophe

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum